package com.icomsys.main_vm.db.mybatis.alias;

import org.apache.commons.lang3.builder.ToStringBuilder;

/** 
 * 메뉴목록관리 처리를 위한 VO 클래스르를 정의한다
 * @author 개발환경 개발팀 이용
 * @since 2009.06.01
 * @version 1.0
 * @see
 *
 * <pre>
 * << 개정이력(Modification Information) >>
 *   
 *   수정일      수정자           수정내용
 *  -------    --------    ---------------------------
 *   2009.03.20  이  용          최초 생성
 *   2011.08.31  JJY            경량환경 템플릿 커스터마이징버전 생성 
 *
 * </pre>
 */

public class MenuManageVO {

   private   int      menuNo;
   private   String   menuName;
   private   int      upperMenuNo;
   private   String   menuDesc;
   private   String   urlPath;
   private   String   authCode;

   /* 기타VO변수
   private   int      tempInt; 
   */
   private   String   tempValue;

   /* Login 메뉴관련 VO변수 */
   private   String   tmp_Id;
   private   String   tmp_Password;
   private   String   tmp_Name;
   private   String   tmp_UserSe;
   private   String   tmp_Email;
   private   String   tmp_OrgnztId;
   private   String   tmp_UniqId;
   private   String   tmp_Cmd;
   
	public String getTempValue() {
		return tempValue;
	}
	
	public void setTempValue(String tempValue) {
		this.tempValue = tempValue;
	}

	public int getMenuNo() {
		return menuNo;
	}
	
	public void setMenuNo(int menuNo) {
		this.menuNo = menuNo;
	}
	
	public String getMenuName() {
		return menuName;
	}
	
	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}
	
	public int getUpperMenuNo() {
		return upperMenuNo;
	}
	
	public void setUpperMenuNo(int upperMenuNo) {
		this.upperMenuNo = upperMenuNo;
	}
	
	public String getMenuDesc() {
		return menuDesc;
	}
	
	public void setMenuDesc(String menuDesc) {
		this.menuDesc = menuDesc;
	}
	
	public String getUrlPath() {
		return urlPath;
	}
	
	public void setUrlPath(String urlPath) {
		this.urlPath = urlPath;
	}
	
	public String getAuthCode() {
		return authCode;
	}
	
	public void setAuthCode(String authCode) {
		this.authCode = authCode;
	}
	
	public String getTmp_Id() {
		return tmp_Id;
	}
	
	public void setTmp_Id(String tmp_Id) {
		this.tmp_Id = tmp_Id;
	}
	
	public String getTmp_Password() {
		return tmp_Password;
	}
	
	public void setTmp_Password(String tmp_Password) {
		this.tmp_Password = tmp_Password;
	}
	
	public String getTmp_Name() {
		return tmp_Name;
	}
	
	public void setTmp_Name(String tmp_Name) {
		this.tmp_Name = tmp_Name;
	}
	
	public String getTmp_UserSe() {
		return tmp_UserSe;
	}
	
	public void setTmp_UserSe(String tmp_UserSe) {
		this.tmp_UserSe = tmp_UserSe;
	}
	
	public String getTmp_Email() {
		return tmp_Email;
	}
	
	public void setTmp_Email(String tmp_Email) {
		this.tmp_Email = tmp_Email;
	}
	
	public String getTmp_OrgnztId() {
		return tmp_OrgnztId;
	}
	
	public void setTmp_OrgnztId(String tmp_OrgnztId) {
		this.tmp_OrgnztId = tmp_OrgnztId;
	}
	
	public String getTmp_UniqId() {
		return tmp_UniqId;
	}
	
	public void setTmp_UniqId(String tmp_UniqId) {
		this.tmp_UniqId = tmp_UniqId;
	}
	
	public String getTmp_Cmd() {
		return tmp_Cmd;
	}
	
	public void setTmp_Cmd(String tmp_Cmd) {
		this.tmp_Cmd = tmp_Cmd;
	}

	/**
     * toString 메소드를 대치한다.
     */
    public String toString() {
    	return ToStringBuilder.reflectionToString(this);
    }
}